{ config, pkgs, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../features/nas0.nix
    ../../features/telemetry/plex.nix
    ../../server.nix
  ];

  networking.hostName = "plex";
  system.stateVersion = "25.05"; 
  nixpkgs.hostPlatform = "x86_64-linux";

  services.plex = {
    enable = true;
    openFirewall = true;
    package = pkgs.master.plex;
  };

  internal.nas0 = {
    useSMB = true;
    lazyMount = false;
    mountUid = config.users.users.plex.uid;
    mountGid = config.users.groups.plex.gid;
  };
}
